[Bug 1029476] Re: Remove qt-x11-free from the archive

Felix Geyer debfx-pkg at fobos.de
Mon Sep 24 08:11:45 UTC 2012


** Bug watch added: Debian Bug tracker #685076
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685076

** Also affects: xbmc (Debian) via
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685076
   Importance: Unknown
       Status: Unknown

** Also affects: xbmc (Ubuntu)
   Importance: Undecided
       Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to lsb in Ubuntu.
https://bugs.launchpad.net/bugs/1029476

Title:
  Remove qt-x11-free from the archive

Status in “alsa-tools” package in Ubuntu:
  Fix Committed
Status in “beid” package in Ubuntu:
  Fix Released
Status in “earth3d” package in Ubuntu:
  Fix Released
Status in “gambas2” package in Ubuntu:
  Fix Released
Status in “inguma” package in Ubuntu:
  Confirmed
Status in “lsb” package in Ubuntu:
  New
Status in “python-qt3” package in Ubuntu:
  New
Status in “qt-x11-free” package in Ubuntu:
  New
Status in “scim-bridge” package in Ubuntu:
  New
Status in “willowng” package in Ubuntu:
  Fix Released
Status in “xbmc” package in Ubuntu:
  New
Status in “xxdiff” package in Ubuntu:
  Fix Released
Status in “alsa-tools” package in Debian:
  Unknown
Status in “gambas2” package in Debian:
  Unknown
Status in “inguma” package in Debian:
  New
Status in “lsb” package in Debian:
  Unknown
Status in “python-qt3” package in Debian:
  Unknown
Status in “qt-x11-free” package in Debian:
  Unknown
Status in “scim-bridge” package in Debian:
  Unknown
Status in “xbmc” package in Debian:
  Unknown
Status in “xxdiff” package in Debian:
  Unknown

Bug description:
  Qt3 has been EOL'd by Trolltech (now a division of Nokia) back in
  2008. It is unmaintained through and through, and it is time to move
  on.

  To quote Jonathan Riddell from a mail to ubuntu-devel:
  "Qt 3 is old, unmaintained and unused by anything anyone cares about.
  It's been removed from Debian.  So I propose we remove it from Ubuntu
  too, just after an LTS is a good time to do this.  This will mean we
  are not compliant with lsb-desktop but a standard which uses obsolete
  technologies isn't any use to anyone."

  This bug will serve as a metabug for packages that either need removal
  or modifications to remove Qt3 reverse dependencies.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-tools/+bug/1029476/+subscriptions




More information about the foundations-bugs mailing list